Sisimai::Rhost(3pm)

NAME
Sisimai::Rhost - Detect the bounce reason returned from certain remote hosts.

SYNOPSIS
    use Sisimai::Rhost;

DESCRIPTION
Sisimai::Rhost detects the bounce reason from the content of Sisimai::Data object as an argument of get() method when the value of "rhost" of the object is listed in the results of Sisimai::Rhost->list() method. This class is called only Sisimai::Data class.

CLASS METHODS

  "list()"
Return the list of remote hosts which is supported by Sisimai for detecting the reason of bounce from major email services.

  "match(remote host)"
Returns 1 if the remote host is listed in the results of Sisimai::Rhost->list() method.

  "get(Sisimai::Data Object)"
"get()" detects the bounce reason.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2019 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.